> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stan-app.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new customer



## OpenAPI

````yaml post /v1/customers
openapi: 3.0.0
info:
  description: Stan Client API
  version: 1.0.0
  title: Stan API
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.stan-app.fr
security: []
externalDocs:
  description: Find out more about Stan
  url: https://doc.stan-app.fr
paths:
  /v1/customers:
    post:
      tags:
        - customer
      summary: Create a new customer
      operationId: create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomerRequestBody'
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Customer'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '500':
          $ref: '#/components/responses/500'
      security:
        - stan_basic_auth: []
components:
  schemas:
    CustomerRequestBody:
      title: A customer request body
      type: object
      required:
        - name
        - email
        - address
      properties:
        name:
          type: string
          description: Customer fullname
        email:
          type: string
          format: email
        address:
          $ref: '#/components/schemas/Address'
        phone_number:
          type: string
    Customer:
      title: A customer is a payer
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          description: Customer fullname
        email:
          type: string
          format: email
        phone_number:
          type: string
        address:
          $ref: '#/components/schemas/Address'
    Address:
      title: A physical address
      type: object
      properties:
        firstname:
          type: string
        lastname:
          type: string
        street_address:
          type: string
        street_address_line2:
          type: string
        locality:
          type: string
        zip_code:
          type: string
        country:
          type: string
        region:
          type: string
  responses:
    '400':
      description: Bad data format
    '401':
      description: >-
        Unauthorized, please provided api client_id and client_secret as Basic
        auth
    '500':
      description: The servers encountered an alien
  securitySchemes:
    stan_basic_auth:
      type: http
      scheme: basic

````